Interface MonitorKeys
- All Known Implementing Classes:
DefaultProbe,HttpProbe,PortProbe,Probe
public interface MonitorKeys
Config keys for monitoring
-
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final StringDefault probing key : DNS checking address IP:port "dns.address".static final StringDefault probing key : DNS check enabled "dns.check.enabled".static final booleanDefault probing default : DNS check enabled false.static final StringPort probing key : timeout for the the connection attempt "timeout".static final intPort probing default : timeout for the connection attempt 1000.static final StringPort probing key : port to attempt to create a TCP connection to "port".static final StringWeb probing key : timeout for the connection attempt "timeout"static final intPort probing default : timeout for the connection attempt 1000.static final StringWeb probing key : max success code "max.success".static final intWeb probing default : max successful response code 299.static final StringWeb probing key : min success code "min.success".static final intWeb probing default : min successful response code 200.static final StringWeb probing key : URL "url".
-
Field Details
-
DEFAULT_PROBE_DNS_CHECK_ENABLED
Default probing key : DNS check enabled "dns.check.enabled".- See Also:
-
DEFAULT_PROBE_DNS_CHECK_ENABLED_DEFAULT
static final boolean DEFAULT_PROBE_DNS_CHECK_ENABLED_DEFAULTDefault probing default : DNS check enabled false.- See Also:
-
DEFAULT_PROBE_DNS_ADDRESS
Default probing key : DNS checking address IP:port "dns.address".- See Also:
-
PORT_PROBE_PORT
Port probing key : port to attempt to create a TCP connection to "port".- See Also:
-
PORT_PROBE_CONNECT_TIMEOUT
Port probing key : timeout for the the connection attempt "timeout".- See Also:
-
PORT_PROBE_CONNECT_TIMEOUT_DEFAULT
static final int PORT_PROBE_CONNECT_TIMEOUT_DEFAULTPort probing default : timeout for the connection attempt 1000.- See Also:
-
WEB_PROBE_URL
Web probing key : URL "url".- See Also:
-
WEB_PROBE_MIN_SUCCESS
Web probing key : min success code "min.success".- See Also:
-
WEB_PROBE_MAX_SUCCESS
Web probing key : max success code "max.success".- See Also:
-
WEB_PROBE_MIN_SUCCESS_DEFAULT
static final int WEB_PROBE_MIN_SUCCESS_DEFAULTWeb probing default : min successful response code 200.- See Also:
-
WEB_PROBE_MAX_SUCCESS_DEFAULT
static final int WEB_PROBE_MAX_SUCCESS_DEFAULTWeb probing default : max successful response code 299.- See Also:
-
WEB_PROBE_CONNECT_TIMEOUT
Web probing key : timeout for the connection attempt "timeout"- See Also:
-
WEB_PROBE_CONNECT_TIMEOUT_DEFAULT
static final int WEB_PROBE_CONNECT_TIMEOUT_DEFAULTPort probing default : timeout for the connection attempt 1000.- See Also:
-